Api referenceArchitecture
List Intent Sources
Reference for List Intent Sources in the Veriom v1 API, including request, response, and authentication details.
GET
/v1/workspaces/{workspace_id}/architecture-intent/sourcesList Intent Sources. Returns a typed response and a request ID for operational support.
veriom_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidQuery Parameters
scope_key?|null
repository_id?|null
branch_ref?|null
environment?|null
cursor?string|null
limit?Limit
Default
25Range
1 <= value <= 100Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources"{
"has_more": false,
"items": [
{
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_by_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"locator": {
"property1": "string",
"property2": "string"
},
"revision": 0,
"scope_key": "string",
"source_key": "string",
"state": "active",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"next_cursor": "string"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}Was this guide useful?
Your response stays in this browser unless you open a GitHub issue.